# Interface ToolingModelBuilderRegistry

@Incubating public interface ToolingModelBuilderRegistry
A registry of tooling model builders. Adding a builder to this registry makes a model (or models) available via the tooling API.

## Method Summary

Modifier and Type
Method
Description
`ToolingModelBuilder`
`getBuilder(String modelName)`
`void`
`register(ToolingModelBuilder builder)`

## Method Details

### register

void register(ToolingModelBuilder builder)

### getBuilder

ToolingModelBuilder getBuilder(String modelName) throws UnknownModelException

Throws:
  `UnknownModelException`